Bug 809936 - PostgreSQL insert failure during re-activation of a against a custom channel
PostgreSQL insert failure during re-activation of a against a custom channel
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.7
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
: 807266 (view as bug list)
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-04-04 13:13 EDT by Paul Robert Marino
Modified: 2012-11-01 12:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.8.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:20:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Robert Marino 2012-04-04 13:13:41 EDT
Description of problem:
During the re-activation proceed of a host against a custom channel Ive run into two issues.

1) the first is that "Spacewalk Default" base channel setting does not work against custom channels.
I was able to work around this via the methods distchannel.setDefaultMap and distchannel.listDefaultMaps XML RPC API
The script I wrote to manage the entries can be found here https://github.com/prmarino1/Extravehicular-Activity-Admin/blob/master/channel-managment/eva-dist-channel-map.pl
The only limitation is the entries seem to be global so there is a potential that if multiple organizations are configured there may be conflicts unless the base channel is shared to all of the organizations.

2) The second bug is is in the re-activation process
when the rhnserver historylog PostgreSQL rejects one of the inserts because the description is null.

Note:

I originally reported it in an other ticket https://bugzilla.redhat.com/show_bug.cgi?id=786705 however they really are two separate issues. In reality while they are related neither one fixes the issue with the other although this one may block the other ticket.


Version-Release number of selected component (if applicable):
Spacewalk 1.6 and 1.7
PostgreSQL 8.4
Kick starting Scientific Linux 6.2, CentOS 6, etc...

How to reproduce:


1. set an entry in the default distro map against a base channel for the release version and arch for a distrobution.

2. re-kickstart a host that was already registered to the Spacewalk server.

Kludge work around:
drop the constraint
'
ALTER TABLE rhnserverhistory DROP CONSTRAINT "vn_rhnserverhistory_details";
'
Then restore it after the kickstart is complete
'
ALTER TABLE ADD CONSTRAINT vn_rhnserverhistory_details CHECK(((details)::text
<> ''::text));
'
This doesn't seem to break any thin as far as I can tell however 




 

PostgreSQL ERROR:

"
ERROR:  new row for relation "rhnserverhistory" violates check constraint
"vn_rhnserverhistory_details"
STATEMENT:
                    insert into rhnServerHistory
                        (id,
                         server_id,
                         summary,
                         details)
                    values
                        (sequence_nextval('rhn_event_id_seq'),
                         1000010018,
                         E'Updated system release from 6.2 to 6.2',
                         E'')

"


Traceback:

"
Exception reported from server.ip.was.here
Time: Wed Mar 21 12:19:08 2012
Exception type <class 'psycopg2.IntegrityError'> Exception while handling
function registration.new_system Request object information:
URI: /XMLRPC
Remote Host: client.ip.was.here
Server Name: server.ip.was.here:443
Headers passed in:
 Accept-Encoding: identity
 CONTENT_LENGTH: 1562
 CONTENT_TYPE: text/xml
 DOCUMENT_ROOT: /var/www/html
 GATEWAY_INTERFACE: CGI/1.1
 HTTPS: 1
 HTTP_ACCEPT_ENCODING: identity
 HTTP_HOST: server.ip.was.here
 HTTP_USER_AGENT: rhn.rpclib.py/$Revision$
 HTTP_X_CLIENT_VERSION: 1
 HTTP_X_INFO: RPC Processor (C) Red Hat, Inc (version $Revision$)
 HTTP_X_RHN_CLIENT_CAPABILITY:
kickstart_guest.initiate(1)=1,osad.ping(1)=1,scap.xccdf_eval(1)=1,packages.verify(1)=1,packages.extended_profile(2)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reboot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,packages.update(2)=2,script.run(1)=1,kickstart.initiate(1)=1,configfiles.upload(1)=1,packages.runTransaction(1)=1
 HTTP_X_RHN_TRANSPORT_CAPABILITY: follow-redirects=3
 HTTP_X_TRANSPORT_INFO: Extended Capabilities Transport (C) Red Hat, Inc
(version $Revision$)
 HTTP_X_UP2DATE_VERSION: 1.7.14-1.el6
 Host: server.ip.was.here
 PATH_INFO: 
 QUERY_STRING: 
 REMOTE_ADDR: client.ip.was.here
 REMOTE_PORT: 35952
 REQUEST_METHOD: POST
 REQUEST_URI: /XMLRPC
 SCRIPT_FILENAME: /usr/share/rhn/wsgi/xmlrpc.py
 SCRIPT_NAME: /XMLRPC
 SCRIPT_URI: https://server.ip.was.here/XMLRPC
 SCRIPT_URL: /XMLRPC
 SERVER_ADDR: server.ip.was.here
 SERVER_ADMIN: root@localhost
 SERVER_NAME: server.ip.was.here
 SERVER_PORT: 443
 SERVER_PROTOCOL: HTTP/1.1
 SERVER_SIGNATURE: <address>Apache Server at server.ip.was.here Port
443</address>

 SERVER_SOFTWARE: Apache
 User-Agent: rhn.rpclib.py/$Revision$
 X-Client-Version: 1
 X-Info: RPC Processor (C) Red Hat, Inc (version $Revision$)
 X-RHN-Client-Capability:
kickstart_guest.initiate(1)=1,osad.ping(1)=1,scap.xccdf_eval(1)=1,packages.verify(1)=1,packages.extended_profile(2)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reboot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,packages.update(2)=2,script.run(1)=1,kickstart.initiate(1)=1,configfiles.upload(1)=1,packages.runTransaction(1)=1
 X-RHN-Transport-Capability: follow-redirects=3
 X-Transport-Info: Extended Capabilities Transport (C) Red Hat, Inc (version
$Revision$)
 X-Up2Date-Version: 1.7.14-1.el6
 mod_wsgi.application_group: server.ip.was.here|/xmlrpc
 mod_wsgi.callable_object: application
 mod_wsgi.handler_script: 
 mod_wsgi.input_chunked: 0
 mod_wsgi.listener_host: 
 mod_wsgi.listener_port: 443
 mod_wsgi.process_group: 
 mod_wsgi.request_handler: wsgi-script
 mod_wsgi.script_reloading: 1
 mod_wsgi.version: (3, 2)
 wsgi.errors: <mod_wsgi.Log object at 0x7f5d784fa8f0>
 wsgi.file_wrapper: <built-in method file_wrapper of mod_wsgi.Adapter object at
0x7f5d77870828>
 wsgi.input: <mod_wsgi.Input object at 0x7f5d784fa8b0>
 wsgi.multiprocess: True
 wsgi.multithread: False
 wsgi.run_once: False
 wsgi.url_scheme: https
 wsgi.version: (1, 1)

Exception Handler Information
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py",
line 122, in call_function
    response = apply(func, params)
  File "/usr/share/rhn/server/handlers/xmlrpc/registration.py", line 502, in
new_system
    architecture, data)
  File "/usr/share/rhn/server/handlers/xmlrpc/registration.py", line 298, in
create_system
    newserv.change_base_channel(release)
  File
"/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_class.py",
line 231, in change_base_channel
    self.save_history_byid(self.server["id"])
  File
"/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_history.py",
line 54, in save_history_byid
    details = details)
  File "/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py",
line 172, in executemany
    return apply(self._execute_wrapper, (self._executemany, ) + p, kw)
  File
"/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py",
line 282, in _execute_wrapper
    retval = apply(function, p, kw)
  File
"/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py",
line 318, in _executemany
    self._real_cursor.executemany(self.sql, all_kwargs)
IntegrityError: new row for relation "rhnserverhistory" violates check
constraint "vn_rhnserverhistory_details"


Local variables by frame
Frame _executemany in
/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py
at line 318
                  val = <type 'str'> Updated system release from 6.2 to 6.2
           all_kwargs = <type 'list'> [{'server_id': 1000010018, 'details': '',
'summary': 'Updated system release from 6.2 to 6.2'}]
                    i = <type 'int'> 1
                 self = <type 'instance'>
<spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f5d7868fe18>
                 args = <type 'tuple'> ()
               params = <type 'instance'> {'server_id': [1000010018],
'details': [''], 'summary': ['Updated system release from 6.2 to 6.2']}
                  key = <type 'str'> summary
               kwargs = <type 'dict'> {'server_id': [1000010018], 'details':
[''], 'summary': ['Updated system release from 6.2 to 6.2']}

Frame _execute_wrapper in
/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/driver_postgresql.py
at line 287
             function = <type 'instancemethod'> <bound method
Cursor._executemany of <spacewalk.server.rhnSQL.driver_postgresql.Cursor
instance at 0x7f5d7868fe18>>
                 self = <type 'instance'>
<spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f5d7868fe18>
                value = <type 'list'> ['Updated system release from 6.2 to
6.2']
                    p = <type 'tuple'> ()
                   kw = <type 'dict'> {'server_id': [1000010018], 'details':
[''], 'summary': ['Updated system release from 6.2 to 6.2']}
                  key = <type 'str'> summary
               params = <type 'str'> server_id: [1000010018],details:
[''],summary: ['Updated system release from 6.2 to 6.2']

Frame executemany in
/usr/lib/python2.6/site-packages/spacewalk/server/rhnSQL/sql_base.py at line
172
                    p = <type 'tuple'> ()
                 self = <type 'instance'>
<spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f5d7868fe18>
                   kw = <type 'dict'> {'server_id': [1000010018], 'details':
[''], 'summary': ['Updated system release from 6.2 to 6.2']}

Frame save_history_byid in
/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_history.py
at line 54
            server_id = <type 'int'> 1000010018
                 self = <class
'spacewalk.server.rhnServer.server_class.Server'> <Server Class at
140039427389584: {'self.cert': None, 'self.server': {'info': (None, 0),
'creator_id': (1, 0), 'provision_state_id': (None, 0), 'name':
('localhost.localdomain', 0), 'created': (datetime.datetime(2012, 3, 21, 11,
26, 14, 33908, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at
0x7f5d7852fe50>), 0), 'auto_update': ('N', 0), 'running_kernel':
('2.6.32-220.el6.x86_64', 0), 'description': ('Initial Registration
Parameters:\nOS: sl-release\nRelease: 6.2\nCPU Arch: x86_64', 0), 'org_id': (1,
0), 'modified': (datetime.datetime(2012, 3, 21, 11, 26, 16, 310096,
tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f5d7852fd50>), 0),
'server_arch_id': (1023, 0), 'secret': ('1495c0cc3ebe06a05b100c386c7491b5', 1),
'last_boot': (1332343247.327136, 0), 'digital_server_id': ('ID-1000010018', 0),
'release': ('6.2', 0), 'channels_changed': (datetime.datetime(2012, 3, 21, 11,
26, 14, 33908, tzinfo=<  psycopg2.tz.FixedOffsetTimezone object at
0x7f5d7852fd90>), 0), 'auto_deliver': ('N', 0), 'os': ('sl-release', 0), 'id':
(1000010018, 0), 'cobbler_id': (None, 0)}}>

                 hist = <type 'instance'>
<spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f5d7868fe18>
              details = <type 'list'> ['']
           server_ids = <type 'list'> [1000010018]
            summaries = <type 'list'> ['Updated system release from 6.2 to
6.2']

Frame change_base_channel in
/usr/lib/python2.6/site-packages/spacewalk/server/rhnServer/server_class.py at
line 231
                    c = <type 'dict'> {'available_subscriptions': '', 'name':
'Scientific Linux 6.2', 'org_id': '1', 'label': 'sci-linux-6_2',
'last_modified': '20120321111413', 'parent_channel': '', 'summary': 'Scientific
Linux 6.2', 'arch': 'channel-x86_64', 'id': '109', 'description': ''}
                 hash = <type 'dict'> {'115': {'gpg_key_url': '',
'description': '', 'org_id': '1', 'label': 'sci-confidential-firewall',
'last_modified': '20120314090851', 'local_channel': '1', 'parent_channel':
'109', 'summary': 'Additional packages for a confidential MDC firewall',
'arch': 'channel-x86_64', 'id': '115', 'name': 'Sci linux confidential
Firewall'}, '114': {'gpg_key_url': '', 'description': '', 'org_id': '1',
'label': 'sci-linux-6_2-bugs', 'last_modified': '20120321104946',
'local_channel': '1', 'parent_channel': '109', 'summary': 'Scientific Linux Bug
Fixes', 'arch': 'channel-x86_64', 'id': '114', 'name': 'Scientific Linux Bug
Fixes'}, '111': {'gpg_key_url':
'http://ftp.scientificlinux.org/linux/scientific/6.2/x86_64/os/RPM-GPG-KEY-sl6',
'description': '', 'org_id': '1', 'label': 'sci-linux-6_2-updates',
'last_modified': '20120321110825', 'local_channel': '1', 'parent_channel':
'109', 'summary': 'Scientific Linux 6.2 security updates', 'arch':
'channel-x86_64', 'id': '111', 'name': 'S  cientific Linux 6.2 security
updates'}, '113': {'gpg_key_url':
'https://fedoraproject.org/static/0608B895.txt', 'description': '', 'org_id':
'1', 'label': 'clone-epel-repo', 'last_modified': '20120313164346',
'local_channel': '1', 'parent_channel': '109', 'summary': 'EPEL', 'arch':
'channel-x86_64', 'id': '113', 'name': 'Extra Packages for Scientific Linux'},
'112': {'gpg_key_url': '', 'description': '', 'org_id': '1', 'label':
'clone-spacewalk-client-rhel6', 'last_modified': '20120313154139',
'local_channel': '1', 'parent_channel': '109', 'summary': 'Spacewalk client for
Scientific Linux', 'arch': 'channel-x86_64', 'id': '112', 'name': 'Spacewalk
client for Scientific Linux 6'}}
 channels_to_subscribe = <type 'list'> []
             old_base = <type 'dict'> {'gpg_key_url': '', 'description': '',
'org_id': '1', 'label': 'sci-linux-6_2', 'last_modified': '20120321111413',
'local_channel': '1', 'parent_channel': '', 'summary': 'Scientific Linux 6.2',
'arch': 'channel-x86_64', 'id': '109', 'name': 'Scientific Linux 6.2'}
                 self = <class
'spacewalk.server.rhnServer.server_class.Server'> <Server Class at
140039427389584: {'self.cert': None, 'self.server': {'info': (None, 0),
'creator_id': (1, 0), 'provision_state_id': (None, 0), 'name':
('localhost.localdomain', 0), 'created': (datetime.datetime(2012, 3, 21, 11,
26, 14, 33908, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at
0x7f5d7852fe50>), 0), 'auto_update': ('N', 0), 'running_kernel':
('2.6.32-220.el6.x86_64', 0), 'description': ('Initial Registration
Parameters:\nOS: sl-release\nRelease: 6.2\nCPU Arch: x86_64', 0), 'org_id': (1,
0), 'modified': (datetime.datetime(2012, 3, 21, 11, 26, 16, 310096,
tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f5d7852fd50>), 0),
'server_arch_id': (1023, 0), 'secret': ('1495c0cc3ebe06a05b100c386c7491b5', 1),
'last_boot': (1332343247.327136, 0), 'digital_server_id': ('ID-1000010018', 0),
'release': ('6.2', 0), 'channels_changed': (datetime.datetime(2012, 3, 21, 11,
26, 14, 33908, tzinfo=<  psycopg2.tz.FixedOffsetTimezone object at
0x7f5d7852fd90>), 0), 'auto_deliver': ('N', 0), 'os': ('sl-release', 0), 'id':
(1000010018, 0), 'cobbler_id': (None, 0)}}>

              old_rel = <type 'str'> 6.2
           channel_id = <type 'str'> 109
                    s = <type 'instance'> <LiteServer instance at
140039427392360: attributes={'release': '6.2', 'arch': 'x86_64', 'org_id': 1,
'id': 1000010018}>
              new_rel = <type 'str'> 6.2
  base_channels_count = <type 'int'> 1
      target_channels = <type 'list'> [{'available_subscriptions': '', 'name':
'Scientific Linux 6.2', 'org_id': '1', 'label': 'sci-linux-6_2',
'last_modified': '20120321111413', 'parent_channel': '', 'summary': 'Scientific
Linux 6.2', 'arch': 'channel-x86_64', 'id': '109', 'description': ''}]
 channels_to_unsubscribe = <type 'list'> []
     current_channels = <type 'list'> [{'gpg_key_url': '', 'description': '',
'org_id': '1', 'label': 'sci-linux-6_2', 'last_modified': '20120321111413',
'local_channel': '1', 'parent_channel': '', 'summary': 'Scientific Linux 6.2',
'arch': 'channel-x86_64', 'id': '109', 'name': 'Scientific Linux 6.2'},
{'gpg_key_url':
'http://ftp.scientificlinux.org/linux/scientific/6.2/x86_64/os/RPM-GPG-KEY-sl6',
'description': '', 'org_id': '1', 'label': 'sci-linux-6_2-updates',
'last_modified': '20120321110825', 'local_channel': '1', 'parent_channel':
'109', 'summary': 'Scientific Linux 6.2 security updates', 'arch':
'channel-x86_64', 'id': '111', 'name': 'Scientific Linux 6.2 security
updates'}, {'gpg_key_url': '', 'description': '', 'org_id': '1', 'label':
'clone-spacewalk-client-rhel6', 'last_modified': '20120313154139',
'local_channel': '1', 'parent_channel': '109', 'summary': 'Spacewalk client for
Scientific Linux', 'arch': 'channel-x86_64', 'id': '112', 'name': 'Spacewalk
client for
  Scientific Linux 6'}, {'gpg_key_url':
'https://fedoraproject.org/static/0608B895.txt', 'description': '', 'org_id':
'1', 'label': 'clone-epel-repo', 'last_modified': '20120313164346',
'local_channel': '1', 'parent_channel': '109', 'summary': 'EPEL', 'arch':
'channel-x86_64', 'id': '113', 'name': 'Extra Packages for Scientific Linux'},
{'gpg_key_url': '', 'description': '', 'org_id': '1', 'label':
'sci-linux-6_2-bugs', 'last_modified': '20120321104946', 'local_channel': '1',
'parent_channel': '109', 'summary': 'Scientific Linux Bug Fixes', 'arch':
'channel-x86_64', 'id': '114', 'name': 'Scientific Linux Bug Fixes'},
{'gpg_key_url': '', 'description': '', 'org_id': '1', 'label':
'sci-confidential-firewall', 'last_modified': '20120314090851',
'local_channel': '1', 'parent_channel': '109', 'summary': 'Additional packages
for a confidential MDC firewall', 'arch': 'channel-x86_64', 'id': '115',
'name': 'Sci linux confidential Firewall'}]
          target_base = <type 'dict'> {'available_subscriptions': '', 'name':
'Scientific Linux 6.2', 'org_id': '1', 'label': 'sci-linux-6_2',
'last_modified': '20120321111413', 'parent_channel': '', 'summary': 'Scientific
Linux 6.2', 'arch': 'channel-x86_64', 'id': '109', 'description': ''}

Frame create_system in /usr/share/rhn/server/handlers/xmlrpc/registration.py at
line 298
      release_version = <type 'str'> 6.2
                 user = <type 'NoneType'> None
             log_item = <type 'str'> token =
're-1-8f1eff725a1b82e2a41915b068619c23,1-60d32f2598a59e002e0d2ebc4c7b35d9,1-ae09964bee160367ae8c774cadae64bf'
                 self = <type 'instance'>
<server.handlers.xmlrpc.registration.Registration instance at 0x7f5d7852cfc8>
          applet_uuid = <type 'NoneType'> None
         profile_name = <type 'str'> localhost.localdomain
              channel = <type 'NoneType'> None
              release = <type 'str'> 6.2
         token_string = <type 'str'>
re-1-8f1eff725a1b82e2a41915b068619c23,1-60d32f2598a59e002e0d2ebc4c7b35d9,1-ae09964bee160367ae8c774cadae64bf
         up2date_uuid = <type 'NoneType'> None
                 data = <type 'dict'> {'token':
're-1-8f1eff725a1b82e2a41915b068619c23,1-60d32f2598a59e002e0d2ebc4c7b35d9,1-ae09964bee160367ae8c774cadae64bf',
'profile_name': 'localhost.localdomain', 'architecture': 'x86_64',
'os_release': '6.2', 'smbios': {'smbios.system.serial': 'USE802N1F4',
'smbios.system.product': 'ProLiant DL380 G5', 'smbios.system.family':
'ProLiant', 'smbios.bios.vendor': 'HP', 'smbios.system.manufacturer': 'HP',
'smbios.system.skunumber': '470064-511', 'smbios.system.version': 'Not
Specified', 'smbios.system.uuid': '34373030-3634-5553-4538-30324e314634'},
'release_name': 'sl-release'}
              newserv = <class
'spacewalk.server.rhnServer.server_class.Server'> <Server Class at
140039427389584: {'self.cert': None, 'self.server': {'info': (None, 0),
'creator_id': (1, 0), 'provision_state_id': (None, 0), 'name':
('localhost.localdomain', 0), 'created': (datetime.datetime(2012, 3, 21, 11,
26, 14, 33908, tzinfo=<psycopg2.tz.FixedOffsetTimezone object at
0x7f5d7852fe50>), 0), 'auto_update': ('N', 0), 'running_kernel':
('2.6.32-220.el6.x86_64', 0), 'description': ('Initial Registration
Parameters:\nOS: sl-release\nRelease: 6.2\nCPU Arch: x86_64', 0), 'org_id': (1,
0), 'modified': (datetime.datetime(2012, 3, 21, 11, 26, 16, 310096,
tzinfo=<psycopg2.tz.FixedOffsetTimezone object at 0x7f5d7852fd50>), 0),
'server_arch_id': (1023, 0), 'secret': ('1495c0cc3ebe06a05b100c386c7491b5', 1),
'last_boot': (1332343247.327136, 0), 'digital_server_id': ('ID-1000010018', 0),
'release': ('6.2', 0), 'channels_changed': (datetime.datetime(2012, 3, 21, 11,
26, 14, 33908, tzinfo=<  psycopg2.tz.FixedOffsetTimezone object at
0x7f5d7852fd90>), 0), 'auto_deliver': ('N', 0), 'os': ('sl-release', 0), 'id':
(1000010018, 0), 'cobbler_id': (None, 0)}}>

           tokens_obj = <type 'instance'>
<spacewalk.server.rhnServer.server_token.ReRegistrationActivationToken instance
at 0x7f5d785301b8>
         architecture = <type 'str'> x86_64

Frame new_system in /usr/share/rhn/server/handlers/xmlrpc/registration.py at
line 502
                 self = <type 'instance'>
<server.handlers.xmlrpc.registration.Registration instance at 0x7f5d7852cfc8>
      release_version = <type 'str'> 6.2
         profile_name = <type 'str'> localhost.localdomain
         architecture = <type 'str'> x86_64
                 data = <type 'dict'> {'token':
're-1-8f1eff725a1b82e2a41915b068619c23,1-60d32f2598a59e002e0d2ebc4c7b35d9,1-ae09964bee160367ae8c774cadae64bf',
'profile_name': 'localhost.localdomain', 'architecture': 'x86_64',
'os_release': '6.2', 'smbios': {'smbios.system.serial': 'USE802N1F4',
'smbios.system.product': 'ProLiant DL380 G5', 'smbios.system.family':
'ProLiant', 'smbios.bios.vendor': 'HP', 'smbios.system.manufacturer': 'HP',
'smbios.system.skunumber': '470064-511', 'smbios.system.version': 'Not
Specified', 'smbios.system.uuid': '34373030-3634-5553-4538-30324e314634'},
'release_name': 'sl-release'}
                 user = <type 'NoneType'> None

Frame call_function in
/usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py at line 174
                 self = <type 'instance'>
<spacewalk.server.apacheRequest.apachePOST instance at 0x7f5d7852cd88>
               params = <type 'tuple'> ({'token':
're-1-8f1eff725a1b82e2a41915b068619c23,1-60d32f2598a59e002e0d2ebc4c7b35d9,1-ae09964bee160367ae8c774cadae64bf',
'profile_name': 'localhost.localdomain', 'architecture': 'x86_64',
'os_release': '6.2', 'smbios': {'smbios.system.serial': 'USE802N1F4',
'smbios.system.product': 'ProLiant DL380 G5', 'smbios.system.family':
'ProLiant', 'smbios.bios.vendor': 'HP', 'smbios.system.manufacturer': 'HP',
'smbios.system.skunumber': '470064-511', 'smbios.system.version': 'Not
Specified', 'smbios.system.uuid': '34373030-3634-5553-4538-30324e314634'},
'release_name': 'sl-release'},)
       force_rollback = <type 'int'> 1
                 func = <type 'instancemethod'> <bound method
Registration.new_system of <server.handlers.xmlrpc.registration.Registration
instance at 0x7f5d7852cfc8>>
               method = <type 'unicode'> registration.new_system

Frame process in
/usr/lib/python2.6/site-packages/spacewalk/server/apacheRequest.py at line 476
                   fd = <type 'instance'> <cStringIO.StringO object at
0x7f5d78524d50>
                _body = <type 'str'> <?xml version='1.0'?> <methodCall>
<methodName>registration.new_system</methodName>
<params>
<param>
<value><struct>
<member>
<name>token</name>
<value><string>re-1-8f1eff725a1b82e2a41915b068619c23,1-60d32f2598a59e002e0d2ebc4c7b35d9,1-ae09964bee160367ae8c774cadae64bf</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>localhost.localdomain</string></value>
</member>
<member>
<name>architecture</name>
<value><string>x86_64</string></value>
</member>
<member>
<name>os_release</name>
<value><string>6.2</string></value>
</member>
<member>
<name>smbios</name>
<value><struct>
<member>
<name>smbios.system.serial</name>
<value><string>USE802N1F4</string></value>
</member>
<member>
<name>smbios.system.product</name>
<value><string>ProLiant DL380 G5</string></value> </member> <member>
<name>smbios.system.family</name> <value><string>ProLiant</string></value>
</member>
<member>
<name>smbios.bios.vendor</name>
<value><string>HP</string></value>
</member>
<member>
<name>smbios.system.manufacturer</name>
<value><string>HP</string></value>
</member>
<member>
<name>smbios.system.skunumber</name>
<value><string>470064-511</string></value>
</member>
<member>
<name>smbios.system.version</name>
<value><string>Not Specified</string></value> </member> <member>
<name>smbios.system.uuid</name>
<value><string>34373030-3634-5553-4538-30324e314634</string></value>
</member>
</struct></value>
</member>
<member>
<name>release_name</name>
<value><string>sl-release</string></value>
</member>
</struct></value>
</param>
</params>
</methodCall>

               params = <type 'tuple'> ({'token':
're-1-8f1eff725a1b82e2a41915b068619c23,1-60d32f2598a59e002e0d2ebc4c7b35d9,1-ae09964bee160367ae8c774cadae64bf',
'profile_name': 'localhost.localdomain', 'architecture': 'x86_64',
'os_release': '6.2', 'smbios': {'smbios.system.serial': 'USE802N1F4',
'smbios.system.product': 'ProLiant DL380 G5', 'smbios.system.family':
'ProLiant', 'smbios.bios.vendor': 'HP', 'smbios.system.manufacturer': 'HP',
'smbios.system.skunumber': '470064-511', 'smbios.system.version': 'Not
Specified', 'smbios.system.uuid': '34373030-3634-5553-4538-30324e314634'},
'release_name': 'sl-release'},)
               method = <type 'unicode'> registration.new_system
                 self = <type 'instance'>
<spacewalk.server.apacheRequest.apachePOST instance at 0x7f5d7852cd88>

Frame handler in
/usr/lib/python2.6/site-packages/spacewalk/server/apacheHandler.py at line 196
                    h = <type 'instance'>
<spacewalk.server.rhnSQL.driver_postgresql.Cursor instance at 0x7f5d7852cc68>
                 self = <type 'instance'>
<spacewalk.server.apacheHandler.apacheHandler instance at 0x7f5d77328bd8>
                  req = <type 'instance'> <wsgi.wsgiRequest.WsgiRequest
instance at 0x7f5d784f49e0>
                  ret = <type 'int'> 0
      templateStrings = <type 'dict'> {'email_account_info': '\nAccount
Information:\n  Your Spacewalk login:         <login />\n  Your Spacewalk email
address: <email-address />', 'email_footer': '--the Spacewalk Team',
'hostname': 'server.ip.was.here'}
                  row = <type 'NoneType'> None

Frame handle in /usr/share/rhn/wsgi/wsgiHandler.py at line 45
         replacements = <type 'dict'> {'Xml': 'XML', 'Actualuri': 'ActualURI',
'Md5Sum': 'MD5sum', '_': '-', 'Rhn': 'RHN'}
       component_type = <type 'str'> server.xmlrpc
       start_response = <type 'builtin_function_or_method'> <built-in method
start_response of mod_wsgi.Adapter object at 0x7f5d77870828>
                    k = <type 'str'> Rhn
                  req = <type 'instance'> <wsgi.wsgiRequest.WsgiRequest
instance at 0x7f5d784f49e0>
            parseServ = <type 'instancemethod'> <bound method
apacheHandler.headerParserHandler of
<spacewalk.server.apacheHandler.apacheHandler instance at 0x7f5d77328bd8>>
                  ret = <type 'int'> 0
               server = <type 'str'> xmlrpc
              environ = <type 'dict'> {'mod_wsgi.listener_port': '443',
'X-RHN-Client-Capability':
'kickstart_guest.initiate(1)=1,osad.ping(1)=1,scap.xccdf_eval(1)=1,packages.verify(1)=1,packages.extended_profile(2)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reboot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,packages.update(2)=2,script.run(1)=1,kickstart.initiate(1)=1,configfiles.upload(1)=1,packages.runTransaction(1)=1',
'SERVER_SOFTWARE': 'Apache', 'SCRIPT_NAME': '/XMLRPC', 'HTTP_X_TRANSPORT_INFO':
'Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)',
'mod_wsgi.handler_script': '', 'SERVER_SIGNATURE': '<address>Apache Server at
server.ip.was.here Port 443</address>\n', 'REQUEST_METHOD': 'POST',
'PATH_INFO': '', 'SERVER_PROTOCOL': 'HTTP/1.1', 'QUERY_STRING': '', 'X-Info':
'RPC Processor (C) Red Hat, Inc (version $Revision$)', 'CONTENT_LENGTH':
'1562', 'HTTP_USER_AGENT': 
 'rhn.rpclib.py/$Revision$', 'HTTP_X_UP2DATE_VERSION': '1.7.14-1.el6',
'SERVER_NAME': 'server.ip.was.here', 'REMOTE_ADDR': 'client.ip.was.here',
'mod_wsgi.request_handler': 'wsgi-script', 'User-Agent':
'rhn.rpclib.py/$Revision$', 'wsgi.url_scheme': 'https', 'Host':
'server.ip.was.here', 'X-RHN-Transport-Capability': 'follow-redirects=3',
'mod_wsgi.callable_object': 'application', 'SERVER_PORT': '443',
'wsgi.multiprocess': True, 'mod_wsgi.input_chunked': '0', 'SERVER_ADDR':
'server.ip.was.here', 'DOCUMENT_ROOT': '/var/www/html',
'mod_wsgi.process_group': '', 'Accept-Encoding': 'identity',
'HTTP_X_RHN_CLIENT_CAPABILITY':
'kickstart_guest.initiate(1)=1,osad.ping(1)=1,scap.xccdf_eval(1)=1,packages.verify(1)=1,packages.extended_profile(2)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reboot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,packages.update(2)=2,script.run(1)=1,kickstart.initiate(1)=1,configfiles.upload(
 1)=1,packages.runTransaction(1)=1', 'SCRIPT_FILENAME':
'/usr/share/rhn/wsgi/xmlrpc.py', 'SERVER_ADMIN': 'root@localhost',
'X-Up2Date-Version': '1.7.14-1.el6', 'X-Transport-Info': 'Extended Capabilities
Transport (C) Red Hat, Inc (version $Revision$)', 'SCRIPT_URI':
'https://server.ip.was.here/XMLRPC', 'HTTP_X_CLIENT_VERSION': '1',
'wsgi.input': <mod_wsgi.Input object at 0x7f5d784fa8b0>, 'HTTP_HOST':
'server.ip.was.here', 'SCRIPT_URL': '/XMLRPC', 'HTTPS': '1',
'wsgi.multithread': False, 'REQUEST_URI': '/XMLRPC', 'X-Client-Version': '1',
'wsgi.version': (1, 1), 'GATEWAY_INTERFACE': 'CGI/1.1', 'wsgi.run_once': False,
'wsgi.errors': <mod_wsgi.Log object at 0x7f5d784fa8f0>, 'REMOTE_PORT': '35952',
'mod_wsgi.listener_host': '', 'mod_wsgi.version': (3, 2),
'HTTP_X_RHN_TRANSPORT_CAPABILITY': 'follow-redirects=3', 'CONTENT_TYPE':
'text/xml', 'mod_wsgi.application_group': 'server.ip.was.here|/xmlrpc',
'mod_wsgi.script_reloading': '1', 'wsgi.file_wrapper': <built-in method
file_wrapper of mod_wsgi.Ad  apter object at 0x7f5d77870828>,
'HTTP_ACCEPT_ENCODING': 'identity', 'HTTP_X_INFO': 'RPC Processor (C) Red Hat,
Inc (version $Revision$)'}
                  key = <type 'str'> HTTP_X_INFO
                    v = <type 'str'> RHN
           servertype = <type 'str'> spacewalk.server.apacheServer
              new_key = <type 'str'> X-Info
              appServ = <type 'instancemethod'> <bound method
apacheHandler.handler of <spacewalk.server.apacheHandler.apacheHandler instance
at 0x7f5d77328bd8>>

Frame application in /usr/share/rhn/wsgi/xmlrpc.py at line 22
       start_response = <type 'builtin_function_or_method'> <built-in method
start_response of mod_wsgi.Adapter object at 0x7f5d77870828>
              environ = <type 'dict'> {'mod_wsgi.listener_port': '443',
'X-RHN-Client-Capability':
'kickstart_guest.initiate(1)=1,osad.ping(1)=1,scap.xccdf_eval(1)=1,packages.verify(1)=1,packages.extended_profile(2)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reboot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,packages.update(2)=2,script.run(1)=1,kickstart.initiate(1)=1,configfiles.upload(1)=1,packages.runTransaction(1)=1',
'SERVER_SOFTWARE': 'Apache', 'SCRIPT_NAME': '/XMLRPC', 'HTTP_X_TRANSPORT_INFO':
'Extended Capabilities Transport (C) Red Hat, Inc (version $Revision$)',
'mod_wsgi.handler_script': '', 'SERVER_SIGNATURE': '<address>Apache Server at
server.ip.was.here Port 443</address>\n', 'REQUEST_METHOD': 'POST',
'PATH_INFO': '', 'SERVER_PROTOCOL': 'HTTP/1.1', 'QUERY_STRING': '', 'X-Info':
'RPC Processor (C) Red Hat, Inc (version $Revision$)', 'CONTENT_LENGTH':
'1562', 'HTTP_USER_AGENT': 
 'rhn.rpclib.py/$Revision$', 'HTTP_X_UP2DATE_VERSION': '1.7.14-1.el6',
'SERVER_NAME': 'server.ip.was.here', 'REMOTE_ADDR': 'client.ip.was.here',
'mod_wsgi.request_handler': 'wsgi-script', 'User-Agent':
'rhn.rpclib.py/$Revision$', 'wsgi.url_scheme': 'https', 'Host':
'server.ip.was.here', 'X-RHN-Transport-Capability': 'follow-redirects=3',
'mod_wsgi.callable_object': 'application', 'SERVER_PORT': '443',
'wsgi.multiprocess': True, 'mod_wsgi.input_chunked': '0', 'SERVER_ADDR':
'server.ip.was.here', 'DOCUMENT_ROOT': '/var/www/html',
'mod_wsgi.process_group': '', 'Accept-Encoding': 'identity',
'HTTP_X_RHN_CLIENT_CAPABILITY':
'kickstart_guest.initiate(1)=1,osad.ping(1)=1,scap.xccdf_eval(1)=1,packages.verify(1)=1,packages.extended_profile(2)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reboot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,packages.update(2)=2,script.run(1)=1,kickstart.initiate(1)=1,configfiles.upload(
 1)=1,packages.runTransaction(1)=1', 'SCRIPT_FILENAME':
'/usr/share/rhn/wsgi/xmlrpc.py', 'SERVER_ADMIN': 'root@localhost',
'X-Up2Date-Version': '1.7.14-1.el6', 'X-Transport-Info': 'Extended Capabilities
Transport (C) Red Hat, Inc (version $Revision$)', 'SCRIPT_URI':
'https://server.ip.was.here/XMLRPC', 'HTTP_X_CLIENT_VERSION': '1',
'wsgi.input': <mod_wsgi.Input object at 0x7f5d784fa8b0>, 'HTTP_HOST':
'server.ip.was.here', 'SCRIPT_URL': '/XMLRPC', 'HTTPS': '1',
'wsgi.multithread': False, 'REQUEST_URI': '/XMLRPC', 'X-Client-Version': '1',
'wsgi.version': (1, 1), 'GATEWAY_INTERFACE': 'CGI/1.1', 'wsgi.run_once': False,
'wsgi.errors': <mod_wsgi.Log object at 0x7f5d784fa8f0>, 'REMOTE_PORT': '35952',
'mod_wsgi.listener_host': '', 'mod_wsgi.version': (3, 2),
'HTTP_X_RHN_TRANSPORT_CAPABILITY': 'follow-redirects=3', 'CONTENT_TYPE':
'text/xml', 'mod_wsgi.application_group': 'server.ip.was.here|/xmlrpc',
'mod_wsgi.script_reloading': '1', 'wsgi.file_wrapper': <built-in method
file_wrapper of mod_wsgi.Ad  apter object at 0x7f5d77870828>,
'HTTP_ACCEPT_ENCODING': 'identity', 'HTTP_X_INFO': 'RPC Processor (C) Red Hat,
Inc (version $Revision$)'}


Environment for PID=31782 on exception:
LANG = C
PATH = /sbin:/usr/sbin:/bin:/usr/bin
PWD = /
SHLVL = 2
TERM = xterm
_ = /usr/sbin/httpd


"
Comment 1 Jan Pazdziora 2012-04-05 10:17:10 EDT
The insert error was fixed in Spacewalk master, 8fd3bffea46759e33565ddc647c2e0e92f61de14.

We will leave the bug 786705 to track the

  Architecture and OS version combination is not supported.

issue.
Comment 3 Jan Pazdziora 2012-04-05 10:37:21 EDT
*** Bug 807266 has been marked as a duplicate of this bug. ***
Comment 4 Jan Pazdziora 2012-10-30 15:25:10 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 5 Jan Pazdziora 2012-11-01 12:20:37 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.